$(top_builddir)/src/util/libgnunetutil.la
check_PROGRAMS = \
- test_dht_api
+ test_dht_api
-TESTS = $(check_PROGRAMS) # $(check_SCRIPTS)
+TESTS = $(check_PROGRAMS) $(check_SCRIPTS)
test_dht_api_SOURCES = \
test_dht_api.c
EXTRA_DIST = \
test_dht_api_data.conf
-#check_SCRIPTS = \
-# test_gnunet_peerinfo.sh
+check_SCRIPTS = \
+ test_dht_tools.sh
1, &GNUNET_GETOPT_set_string, &query_key},
{'t', "type", "TYPE",
gettext_noop ("the type of data to look for"),
- 0, &GNUNET_GETOPT_set_uint, &query_type},
+ 1, &GNUNET_GETOPT_set_uint, &query_type},
{'T', "timeout", "TIMEOUT",
gettext_noop ("how long to execute this query before giving up?"),
- 0, &GNUNET_GETOPT_set_ulong, &timeout_request},
+ 1, &GNUNET_GETOPT_set_ulong, &timeout_request},
{'V', "verbose", NULL,
gettext_noop ("be verbose (print progress information)"),
0, &GNUNET_GETOPT_set_one, &verbose},
1, &GNUNET_GETOPT_set_string, &data},
{'t', "type", "TYPE",
gettext_noop ("the type to insert data as"),
- 0, &GNUNET_GETOPT_set_uint, &query_type},
+ 1, &GNUNET_GETOPT_set_uint, &query_type},
{'T', "timeout", "TIMEOUT",
gettext_noop ("how long to execute this query before giving up?"),
- 0, &GNUNET_GETOPT_set_ulong, &timeout_request},
+ 1, &GNUNET_GETOPT_set_ulong, &timeout_request},
{'e', "expiration", "EXPIRATION",
gettext_noop ("how long to store this entry in the dht (in seconds)"),
- 0, &GNUNET_GETOPT_set_ulong, &expiration_seconds},
+ 1, &GNUNET_GETOPT_set_ulong, &expiration_seconds},
{'V', "verbose", NULL,
gettext_noop ("be verbose (print progress information)"),
0, &GNUNET_GETOPT_set_one, &verbose},
--- /dev/null
+#!/bin/bash
+
+armexe="gnunet-arm -c test_dht_api_peer1.conf "
+putexe="gnunet-dht-put -c test_dht_api_peer1.conf "
+getexe="gnunet-dht-get -c test_dht_api_peer1.conf "
+out=`mktemp /tmp/test-gnunet-arm-logXXXXXXXX`
+checkout="check.out"
+
+stop_arm()
+{
+ if ! $armexe $DEBUG -e > $out ; then
+ echo "FAIL: error running $armexe"
+ echo "Command output was:"
+ cat $out
+ stop_arm
+ exit 1
+ fi
+}
+
+echo -n "TEST: Starting ARM..."
+if ! $armexe $DEBUG -s > $out ; then
+ echo "FAIL: error running $armexe"
+ echo "Command output was:"
+ cat $out
+ stop_arm
+ exit 1
+fi
+echo "PASS"
+sleep 1
+
+echo -n "TEST: Testing put..."
+if ! $putexe -k testkey -d testdata > $out ; then
+ echo "FAIL: error running $putexe"
+ echo "Command output was:"
+ cat $out
+ stop_arm
+ exit 1
+fi
+echo "PASS"
+sleep 1
+
+echo -n "TEST: Testing get..."
+echo "Result 0, type 0:" > $checkout
+echo "testdata" >> $checkout
+
+if ! $getexe -k testkey -T 1 > $out ; then
+ echo "FAIL: error running $putexe"
+ echo "Command output was:"
+ cat $out
+ stop_arm
+ exit 1
+fi
+if ! diff -q $out $checkout ; then
+ echo "FAIL: $out and $checkout differ"
+ stop_arm
+ exit 1
+fi
+echo "PASS"
+
+stop_arm